Package org.eclipse.jgit.lib

## Enum CoreConfig.CheckStat

- java.lang.Object
- - java.lang.Enum<CoreConfig.CheckStat>
  - - org.eclipse.jgit.lib.CoreConfig.CheckStat

All Implemented Interfaces:
  `Serializable`, `Comparable<CoreConfig.CheckStat>`

Enclosing class:
  CoreConfig

    public static enum CoreConfig.CheckStat
    extends Enum<CoreConfig.CheckStat>

Permissible values for `core.checkstat`

Since:
  3.0

### Enum Constant Summary

Enum Constants
`DEFAULT` Check as much of the dircache stat info as possible.
`MINIMAL` Only check the size and whole second part of time stamp when comparing the stat info in the dircache with actual file stat info.

### Method Summary

All Methods Static Methods Concrete Methods
`static CoreConfig.CheckStat` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CoreConfig.CheckStat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MINIMAL

    public static final CoreConfig.CheckStat MINIMAL

Only check the size and whole second part of time stamp when comparing the stat info in the dircache with actual file stat info.

#### DEFAULT

    public static final CoreConfig.CheckStat DEFAULT

Check as much of the dircache stat info as possible. Implementation limits may apply.

### Method Detail

#### values

    public static CoreConfig.CheckStat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CoreConfig.CheckStat c : CoreConfig.CheckStat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CoreConfig.CheckStat valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null